%global debug_package %{nil}

Summary:        umoci modifies Open Container images
Name:           umoci
Version:        0.4.7
Release:        7%{?dist}
License:        Apache-2.0
URL:            https://umo.ci
Source0:        https://github.com/opencontainers/umoci/releases/download/v%{version}/%{name}.tar.xz#/%{name}-%{version}.tar.xz

Patch0001:      0001-makefile-fix-bad-build-flags.patch
Patch3001:      0001-umoci-0.4.7-update-vendor-for-support-loongarch64.patch

BuildRequires:  go-md2man go

%description
umoci is a reference implementation of the OCI image specification and
provides users with the ability to create, manipulate, and otherwise
interact with container images. It is designed to be as small and 
unopinonated as possible, so as to act as a foundation for larger 
systems to be built on top of.

%prep
%autosetup -p1

%build
%make_build VERSION="%{version}" umoci docs

%install
install -D -m 0755 %{name} "%{buildroot}/%{_bindir}/%{name}"

for file in doc/man/*.1; do
    install -D -m 0644 $file "%{buildroot}/%{_mandir}/man1/$(basename $file)"
done

%files
%defattr(-,root,root)
%license COPYING
%doc README.md CHANGELOG.md doc/*
%{_bindir}/%{name}
%{_mandir}/man1/umoci*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.7-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.7-6
- Rebuilt for loongarch release

* Wed Jul 31 2024 Pengda Dou <doupengda@loongson.cn> - 0.4.7-5
- [Type] other
- [DESC] update vendor for support loongarch64

* Thu Apr 11 2024 Pengda Dou <doupengda@loongson.cn> - 0.4.7-4
- Update sys for loongarch64

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.7-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.7-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 27 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.4.7-1
- Initial build
